Set Group Photo
curl --request POST \
--url https://api.example.com/api/v1/groups/{group_jid}/photo \
--header 'Content-Type: application/json' \
--data '
{
"session_name": "<string>",
"image_data_uri": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/groups/{group_jid}/photo"
payload = {
"session_name": "<string>",
"image_data_uri": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({session_name: '<string>', image_data_uri: '<string>'})
};
fetch('https://api.example.com/api/v1/groups/{group_jid}/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"details": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}groups
Set Group Photo
Set the photo of a WhatsApp group.
POST
/
api
/
v1
/
groups
/
{group_jid}
/
photo
Set Group Photo
curl --request POST \
--url https://api.example.com/api/v1/groups/{group_jid}/photo \
--header 'Content-Type: application/json' \
--data '
{
"session_name": "<string>",
"image_data_uri": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/groups/{group_jid}/photo"
payload = {
"session_name": "<string>",
"image_data_uri": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({session_name: '<string>', image_data_uri: '<string>'})
};
fetch('https://api.example.com/api/v1/groups/{group_jid}/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"details": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Body
application/json